Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.analysisComponent
Interface IAnalysisComponent

All Known Subinterfaces:
  IFilterPlugin, IPlugin, IReaderPlugin, IRepository, IWebVisualizationFilterPlugin

All Known Implementing Classes:
  AbstractAggregatedCallTreeFilter, AbstractAnalysisComponent, AbstractCallTreeFilter, AbstractDependencyGraphFilter, AbstractExecutionTraceProcessingFilter, AbstractFilterPlugin, AbstractGraphFilter, AbstractGraphProducingFilter, AbstractInvalidExecutionTraceProcessingFilter, AbstractMessageTraceProcessingFilter, AbstractPlugin, AbstractReaderPlugin, AbstractRepository, AbstractTraceAnalysisFilter, AbstractTraceProcessingFilter, AbstractUpdateableFilterPlugin, AbstractWebVisualizationFilterPlugin, AggregatedAllocationComponentOperationCallTreeFilter, AggregatedAssemblyComponentOperationCallTreeFilter, AnalysisThroughputFilter, AnomalyDetectionFilter, AnomalyScoreCalculationFilter, AnomalyScoreVisualizationFilter, ComponentDependencyGraphAllocationFilter, ComponentDependencyGraphAssemblyFilter, ContainerDependencyGraphFilter, CountingFilter, CPUUtilizationDisplayFilter, CurrentTimeEventGenerationFilter, DbReader, DescriptionDecoratorFilter, DescriptionRepository, EventRecordTraceCounter, EventRecordTraceReconstructionFilter, ExecutionRecordTransformationFilter, ExecutionTraceWriterFilter, ExtractionFilter, ForecastingFilter, FSReader, GCDisplayFilter, GraphWriterPlugin, InvalidExecutionTraceWriterFilter, JMSReader, JMXReader, ListCollectionFilter, ListReader, MemSwapUtilizationDisplayFilter, MessageTraceWriterFilter, MethodAndComponentFlowDisplayFilter, MonitoringRecordLoggerFilter, MonitoringThroughputFilter, OperationDependencyGraphAllocationFilter, OperationDependencyGraphAssemblyFilter, PipeReader, PlainTextWebVisualization, RealtimeRecordDelayFilter, RecordConverter, SequenceDiagramFilter, SessionReconstructionFilter, StringBufferFilter, SystemModel2FileFilter, SystemModelRepository, TCPReader, TeeFilter, ThreadsStatusDisplayFilter, TimeReader, TimeSeriesPointAggregatorFilter, TimestampFilter, TraceAggregationFilter, TraceCallTreeFilter, TraceColoringFilter, TraceColorRepository, TraceEquivalenceClassFilter, TraceEventRecords2ExecutionAndMessageTraceFilter, TraceIdFilter, TraceReconstructionFilter, TypeFilter, UniteMeasurementPairFilter

    public interface IAnalysisComponent

This is the interface for an analysis component in Kieker.

Since:
  1.7
Author:
  Nils Christian Ehmke

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`String` | `getName()` This method delivers the current name of this component instance.

Method Detail

### getCurrentConfiguration

    Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Returns:
    A completely filled configuration object.
  Since:
    1.7

### getName

    String getName()

  This method delivers the current name of this component instance. The name does not have to be unique.

  Returns:
    The current name of the component instance.
  Since:
    1.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net